Subject: Ticket Assigned - Refund
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 21:25:39 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund Good day,
I have requested to refund some of the Items I ordered because of sizes
difference and till now no one called me to pick them up, I didn’t receive
the e mail I can fill to refund it directly from the branch and your call
center number which is supposed to be working 24/7 there is no answer 24/7.
Please need your help to solve this issue as soon as possible.
Thanks
Mona El Gendi

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2417547